Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi
Interface TScopeInfo

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  TScopeInfoImpl

    public interface TScopeInfo

extends org.apache.xmlbeans.XmlObject

An XML tScopeInfo(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

Nested Class Summary
`static interface` | `TScopeInfo.Activities` An XML activities(@http://www.apache.org/ode/pmapi/types/2006/08/02/).
`static interface` | `TScopeInfo.Children` An XML children(@http://www.apache.org/ode/pmapi/types/2006/08/02/).
`static interface` | `TScopeInfo.CorrelationSets` An XML correlation-sets(@http://www.apache.org/ode/pmapi/types/2006/08/02/).
`static class` | `TScopeInfo.Factory` A factory class with static methods for creating instances of this type.
`static interface` | `TScopeInfo.Variables` An XML variables(@http://www.apache.org/ode/pmapi/types/2006/08/02/).

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`TScopeInfo.Activities` | `addNewActivities()` Appends and returns a new empty "activities" element
`TScopeInfo.Children` | `addNewChildren()` Appends and returns a new empty "children" element
`TScopeInfo.CorrelationSets` | `addNewCorrelationSets()` Appends and returns a new empty "correlation-sets" element
`TEndpointReferences` | `addNewEndpoints()` Appends and returns a new empty "endpoints" element
`TScopeRef` | `addNewParentScopeRef()` Appends and returns a new empty "parent-scope-ref" element
`TScopeInfo.Variables` | `addNewVariables()` Appends and returns a new empty "variables" element
`TScopeInfo.Activities` | `getActivities()` Gets the "activities" element
`TScopeInfo.Children` | `getChildren()` Gets the "children" element
`TScopeInfo.CorrelationSets` | `getCorrelationSets()` Gets the "correlation-sets" element
`TEndpointReferences` | `getEndpoints()` Gets the "endpoints" element
`java.lang.String` | `getName()` Gets the "name" element
`TScopeRef` | `getParentScopeRef()` Gets the "parent-scope-ref" element
`java.lang.String` | `getSiid()` Gets the "siid" element
`TScopeStatus.Enum` | `getStatus()` Gets the "status" element
`TScopeInfo.Variables` | `getVariables()` Gets the "variables" element
`boolean` | `isSetActivities()` True if has "activities" element
`boolean` | `isSetChildren()` True if has "children" element
`boolean` | `isSetCorrelationSets()` True if has "correlation-sets" element
`boolean` | `isSetParentScopeRef()` True if has "parent-scope-ref" element
`boolean` | `isSetVariables()` True if has "variables" element
`void` | `setActivities(TScopeInfo.Activities activities)` Sets the "activities" element
`void` | `setChildren(TScopeInfo.Children children)` Sets the "children" element
`void` | `setCorrelationSets(TScopeInfo.CorrelationSets correlationSets)` Sets the "correlation-sets" element
`void` | `setEndpoints(TEndpointReferences endpoints)` Sets the "endpoints" element
`void` | `setName(java.lang.String name)` Sets the "name" element
`void` | `setParentScopeRef(TScopeRef parentScopeRef)` Sets the "parent-scope-ref" element
`void` | `setSiid(java.lang.String siid)` Sets the "siid" element
`void` | `setStatus(TScopeStatus.Enum status)` Sets the "status" element
`void` | `setVariables(TScopeInfo.Variables variables)` Sets the "variables" element
`void` | `unsetActivities()` Unsets the "activities" element
`void` | `unsetChildren()` Unsets the "children" element
`void` | `unsetCorrelationSets()` Unsets the "correlation-sets" element
`void` | `unsetParentScopeRef()` Unsets the "parent-scope-ref" element
`void` | `unsetVariables()` Unsets the "variables" element
`org.apache.xmlbeans.XmlString` | `xgetName()` Gets (as xml) the "name" element
`org.apache.xmlbeans.XmlString` | `xgetSiid()` Gets (as xml) the "siid" element
`TScopeStatus` | `xgetStatus()` Gets (as xml) the "status" element
`void` | `xsetName(org.apache.xmlbeans.XmlString name)` Sets (as xml) the "name" element
`void` | `xsetSiid(org.apache.xmlbeans.XmlString siid)` Sets (as xml) the "siid" element
`void` | `xsetStatus(TScopeStatus status)` Sets (as xml) the "status" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getSiid

    java.lang.String getSiid()

  Gets the "siid" element

### xgetSiid

    org.apache.xmlbeans.XmlString xgetSiid()

  Gets (as xml) the "siid" element

### setSiid

    void setSiid(java.lang.String siid)

  Sets the "siid" element

### xsetSiid

    void xsetSiid(org.apache.xmlbeans.XmlString siid)

  Sets (as xml) the "siid" element

### getName

    java.lang.String getName()

  Gets the "name" element

### xgetName

    org.apache.xmlbeans.XmlString xgetName()

  Gets (as xml) the "name" element

### setName

    void setName(java.lang.String name)

  Sets the "name" element

### xsetName

    void xsetName(org.apache.xmlbeans.XmlString name)

  Sets (as xml) the "name" element

### getStatus

    TScopeStatus.Enum getStatus()

  Gets the "status" element

### xgetStatus

    TScopeStatus xgetStatus()

  Gets (as xml) the "status" element

### setStatus

    void setStatus(TScopeStatus.Enum status)

  Sets the "status" element

### xsetStatus

    void xsetStatus(TScopeStatus status)

  Sets (as xml) the "status" element

### getParentScopeRef

    TScopeRef getParentScopeRef()

  Gets the "parent-scope-ref" element

### isSetParentScopeRef

    boolean isSetParentScopeRef()

  True if has "parent-scope-ref" element

### setParentScopeRef

    void setParentScopeRef(TScopeRef parentScopeRef)

  Sets the "parent-scope-ref" element

### addNewParentScopeRef

    TScopeRef addNewParentScopeRef()

  Appends and returns a new empty "parent-scope-ref" element

### unsetParentScopeRef

    void unsetParentScopeRef()

  Unsets the "parent-scope-ref" element

### getChildren

    TScopeInfo.Children getChildren()

  Gets the "children" element

### isSetChildren

    boolean isSetChildren()

  True if has "children" element

### setChildren

    void setChildren(TScopeInfo.Children children)

  Sets the "children" element

### addNewChildren

    TScopeInfo.Children addNewChildren()

  Appends and returns a new empty "children" element

### unsetChildren

    void unsetChildren()

  Unsets the "children" element

### getActivities

    TScopeInfo.Activities getActivities()

  Gets the "activities" element

### isSetActivities

    boolean isSetActivities()

  True if has "activities" element

### setActivities

    void setActivities(TScopeInfo.Activities activities)

  Sets the "activities" element

### addNewActivities

    TScopeInfo.Activities addNewActivities()

  Appends and returns a new empty "activities" element

### unsetActivities

    void unsetActivities()

  Unsets the "activities" element

### getVariables

    TScopeInfo.Variables getVariables()

  Gets the "variables" element

### isSetVariables

    boolean isSetVariables()

  True if has "variables" element

### setVariables

    void setVariables(TScopeInfo.Variables variables)

  Sets the "variables" element

### addNewVariables

    TScopeInfo.Variables addNewVariables()

  Appends and returns a new empty "variables" element

### unsetVariables

    void unsetVariables()

  Unsets the "variables" element

### getCorrelationSets

    TScopeInfo.CorrelationSets getCorrelationSets()

  Gets the "correlation-sets" element

### isSetCorrelationSets

    boolean isSetCorrelationSets()

  True if has "correlation-sets" element

### setCorrelationSets

    void setCorrelationSets(TScopeInfo.CorrelationSets correlationSets)

  Sets the "correlation-sets" element

### addNewCorrelationSets

    TScopeInfo.CorrelationSets addNewCorrelationSets()

  Appends and returns a new empty "correlation-sets" element

### unsetCorrelationSets

    void unsetCorrelationSets()

  Unsets the "correlation-sets" element

### getEndpoints

    TEndpointReferences getEndpoints()

  Gets the "endpoints" element

### setEndpoints

    void setEndpoints(TEndpointReferences endpoints)

  Sets the "endpoints" element

### addNewEndpoints

    TEndpointReferences addNewEndpoints()

  Appends and returns a new empty "endpoints" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD